
all: contents.pdf

.PRECIOUS: .tex 
	
%.pdf : %.tex
	pdflatex $<
	pdflatex $<

%.tex : 2_%.xml
	xsltproc -o $@ post_proc.xsl $<

2_%.xml : 1_%.xml
	xsltproc -o $@ main.xsl $<

1_%.xml : %.xml
	xsltproc -o $@ pre_proc.xsl $<

clean:
	rm -rf  *.log *.out *.brf *.aux *.glo *.idx *.toc

clean_all: clean
	rm -rf  *.pdf
